#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-FJil6HvKluDKxeLUzZaR2G
key:                  random-source-0.3.0.11-FJil6HvKluDKxeLUzZaR2G
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  c134fce3ee223b662ee592a5217c1be7
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-FJil6HvKluDKxeLUzZaR2G
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-gqtUX2fTTm45XBHa82DRJ
    mersenne-random-pure64-0.2.2.0-HNSRrmRI3VKItwa7kVveZJ mtl-2.2.2
    mwc-random-0.15.0.2-Jh4sxWBF7Rz3J2wZQ6mUfQ
    primitive-0.7.3.0-9BbAgPS3yUyHY7eNW9n2jO
    random-1.2.1-87zKbQkst0gDIGMfu6nhpe
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.1-FjcIthMpdOC3Lvp3JeJE9F template-haskell-2.17.0.0
    th-extras-0.0.0.5-Hqp1UdS4Bxv6hxqULsLG5K

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

